package com.slprojects.democultureconceptsinfo;

import java.time.LocalDateTime;
import java.util.UUID;

public class PlayerService {
    static final Player firstFakePlayer = new Player(UUID.randomUUID(), "JohnDoe", 0,
            LocalDateTime.now(), LocalDateTime.now(), 1000, new Coordinates(0, 0, 0));
    static final Player secondFakePlayer = new Player(UUID.randomUUID(), "JaneDoe", 0,
            LocalDateTime.now(), LocalDateTime.now(), 1000, new Coordinates(0, 0, 0));
    static final Player thirdFakePlayer = new Player(UUID.randomUUID(), "FooBar", 0,
            LocalDateTime.now(), LocalDateTime.now(), 1000, new Coordinates(0, 0, 0));
    static final Player fourthFakePlayer = new Player(UUID.randomUUID(), "BazQux", 0,
            LocalDateTime.now(), LocalDateTime.now(), 1000, new Coordinates(0, 0, 0));

    public static Player getPlayer(UUID uuid) {
        if (uuid.equals(firstFakePlayer.getUuid())) {
            return firstFakePlayer;
        } else if (uuid.equals(secondFakePlayer.getUuid())) {
            return secondFakePlayer;
        } else if (uuid.equals(thirdFakePlayer.getUuid())) {
            return thirdFakePlayer;
        } else if (uuid.equals(fourthFakePlayer.getUuid())) {
            return fourthFakePlayer;
        } else {
            return null;
        }
    }

    public static void incrementPlayTime(Player player, long playTime) {
        player.incrementPlayTime(playTime);
    }

    public static void setLastConnectionDate(Player player, LocalDateTime lastConnectionDate) {
        player.setLastConnectionDate(lastConnectionDate);
    }

    public static void setBalance(Player player, double balance) {
        player.setBalance(balance);
    }

    public static void setCoordinates(Player player, Coordinates coordinates) {
        player.setCoordinates(coordinates);
    }
}
