package com.slprojects.democultureconceptsinfo;

public class ShopService {
    static final Shop firstFakeShop = new Shop("Sword", 100, 10, PlayerService.firstFakePlayer);
    static final Shop secondFakeShop = new Shop("Shield", 50, 5, PlayerService.firstFakePlayer);
    static final Shop thirdFakeShop = new Shop("Potion", 25, 20, PlayerService.secondFakePlayer);
    static final Shop fourthFakeShop = new Shop("Axe", 75, 15, PlayerService.thirdFakePlayer);

    public static Shop getShop(String itemName) {
        if (itemName.equals(firstFakeShop.getItemName())) {
            return firstFakeShop;
        } else if (itemName.equals(secondFakeShop.getItemName())) {
            return secondFakeShop;
        } else if (itemName.equals(thirdFakeShop.getItemName())) {
            return thirdFakeShop;
        } else if (itemName.equals(fourthFakeShop.getItemName())) {
            return fourthFakeShop;
        } else {
            return null;
        }
    }

    public static void buy(Player player, String itemName) {
        Shop shop = getShop(itemName);
        if (shop != null) {
            shop.buy(player);
        }
    }

    public static void setPrice(String itemName, double price) {
        Shop shop = getShop(itemName);
        if (shop != null) {
            shop.setPrice(price);
        }
    }

    public static void setStock(String itemName, int stock) {
        Shop shop = getShop(itemName);
        if (shop != null) {
            shop.setStock(stock);
        }
    }
}
